package com.simualteSmack;

import com.simualteSmack.model.Packet;

import android.app.Activity;
import android.os.Bundle;
/**      
 * @date 2011-7-31  
 * @author zhanghaitao     
 * @version 1.0 
 *     
 */
public class SimualteSmackActivity extends Activity {
	/** Called when the activity is first created. */
	private XMPPConnection connection;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		PacketListener packetListener = new PacketListener() {
			@Override
			public void processPacket(Packet packet) {
				System.out
						.println("Activity----processPacket" + packet.toXML());
			}
		};

		PacketFilter packetFilter = new PacketFilter() {

			@Override
			public boolean accept(Packet packet) {
				System.out.println("Activity----accept" + packet.toXML());
				return true;
			}
		};
		connection = new XMPPConnection();
		connection.addPacketListener(packetListener, packetFilter);
		connection.connect();

		PacketCollector packetCollector = connection
				.createPacketCollector(packetFilter);
		Packet p = packetCollector.nextResult();
		System.out.println("===" + p.toXML());
		packetCollector.cancel();
	}
}